From b971465aabc6fc2ff14a8c9e3c4ac067b42efdcf Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 13 2024 20:59:01 +0000
Subject: [PATCH 17/220] Fix cosmic-edit


---

diff --git a/cosmic-edit/cosmic-edit.spec b/cosmic-edit/cosmic-edit.spec
index e4f99e0..5551c77 100644
--- a/cosmic-edit/cosmic-edit.spec
+++ b/cosmic-edit/cosmic-edit.spec
@@ -81,6 +81,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 
 %{_bindir}/cosmic-edit
 %{_datadir}/applications/com.system76.CosmicEdit.desktop
+%{_metainfodir}/com.system76.CosmicEdit.metainfo.xml
 
 %{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicEdit.svg
 %{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicEdit.svg
diff --git a/cosmic_apps.py b/cosmic_apps.py
index 3fcf978..3557eb6 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -561,7 +561,7 @@ COSMIC_EDIT = {
 "build": f"just build-vendored",
 "install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} install",
 "files": f"""
-{contains_app("cosmic-edit","com.system76.CosmicEdit",True, True, False, False, False, "")}
+{contains_app("cosmic-edit","com.system76.CosmicEdit",True, True, False, False, True, "")}
 %{{_datadir}}/icons/hicolor/128x128/apps/com.system76.CosmicEdit.svg
 %{{_datadir}}/icons/hicolor/16x16/apps/com.system76.CosmicEdit.svg
 %{{_datadir}}/icons/hicolor/24x24/apps/com.system76.CosmicEdit.svg

